### Copenhagen Truck Wash API Help

# Download task attachment

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /department/selfserve/tasks/attachments/download

## Operation

Operation ID: `downloadSelfserveTaskAttachment`

Generate a download link for a specific self-serve task attachment.

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
task_id | query | yes | integer | Task ID
attachment_id | query | yes | integer | Attachment ID

## Responses

Status | Description | Content Types
--- | --- | ---
200 | Successfully generated download link | application/json
400 |  |
404 |  |

Schema for response `200` (`application/json`):

{ "properties": { "download_link": { "format": "uri", "type": "string" } }, "type": "object" }
17 March 2026